#  eidolon -- A simple gallery in Haskell and Yesod
#  Copyright (C) 2015  Amedeo Molnár
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Affero General Public License as published
#  by the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Affero General Public License for more details.
#
#  You should have received a copy of the GNU Affero General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Values formatted like "_env:ENV_VAR_NAME:default_value" can be overridden by the specified environment variable.
# See https://github.com/yesodweb/yesod/wiki/Configuration#overriding-configuration-values-with-environment-variables

static-dir:     "_env:STATIC_DIR:static"
host:           "_env:HOST:*4" # any IPv4 host
port:           "_env:PORT:3000"
approot:        "_env:APPROOT:http://localhost:3000"
ip-from-header: "_env:IP_FROM_HEADER:false"

# Optional values with the following production defaults.
# In development, they default to the inverse.
#
# development: false
# detailed-logging: false
# should-log-all: false
# reload-templates: false
# mutable-static: false
# skip-combining: false

database:
  user:     "_env:PGUSER:eidolon"
  password: "_env:PGPASS:eidolon"
  host:     "_env:PGHOST:localhost"
  port:     "_env:PGPORT:5432"
  database: "_env:PGDATABASE:eidolon"
  poolsize: "_env:PGPOOLSIZE:10"

copyright: Powered by Eidolon
copyrightLink: https://github.com/nek0/eidolon
#analytics: UA-YOURCODE

# block signup process
signupBlocked:  "_env:SIGNUP_BLOCK:false"

# Terms of Service
tos1: "Terms of Service 1"
tos2: "Terms of Service 2"

# Elasticsearcha settings
searchhost: "http://localhost:9200"
shards: 2
replicas: 1
